(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("prop-types"), require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["prop-types", "react"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("prop-types"), require("react")) : factory(root["prop-types"], root["react"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 355);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),

/***/ 112:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = __webpack_require__(1);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(0);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _Compare = __webpack_require__(113);

var _Compare2 = _interopRequireDefault(_Compare);

var _gaDataset = __webpack_require__(9);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEFAULT_REGULATION_MSG = _react2.default.createElement(
  'p',
  null,
  '\u6700\u591A\u53EF\u9078\u64C74\u9805'
);
var cx = _bind2.default.bind(_Compare2.default);

function Compare(_ref) {
  var _this = this;

  var items = _ref.items,
      clickItemCloseCb = _ref.clickItemCloseCb,
      ctaCb = _ref.ctaCb,
      prerequisiteMsg = _ref.prerequisiteMsg,
      regulationMsg = _ref.regulationMsg,
      btnText = _ref.btnText,
      isMobile = _ref.isMobile,
      gaEventForClose = _ref.gaEventForClose,
      gaEventForStart = _ref.gaEventForStart;

  // eslint-disable-next-line
  var blocks = Array.apply(null, Array(isMobile ? 2 : 4)).map(function (cur, idx) {
    return items[idx];
  });
  var _prerequisiteMsg = prerequisiteMsg || (isMobile ? _react2.default.createElement(
    'p',
    null,
    '\u9700\u9078\u64C72\u9805\uFF0C',
    _react2.default.createElement('br', null),
    '\u4EE5\u958B\u59CB\u9032\u884C\u6BD4\u8F03'
  ) : _react2.default.createElement(
    'p',
    null,
    '\u6700\u5C11\u9078\u64C72\u9805\uFF0C\u4EE5\u958B\u59CB\u9032\u884C\u6BD4\u8F03'
  ));
  var _regulationMsg = regulationMsg || DEFAULT_REGULATION_MSG;

  var handleClickCta = function handleClickCta() {
    if (typeof ctaCb === 'function') {
      ctaCb(items);
    }
  };

  var handleClickClose = function handleClickClose(id) {
    if (typeof clickItemCloseCb === 'function') {
      clickItemCloseCb(id);
    }
  };

  var getGaEvent = function getGaEvent(event) {
    return event ? (0, _gaDataset2.default)(event) : null;
  };

  return _react2.default.createElement(
    'div',
    { className: cx('comparison', { display: items.length > 0 }) },
    blocks.map(function (b, idx) {
      return _react2.default.createElement(
        'div',
        { className: cx('block'), key: b && b.id || idx },
        b && b.name ? _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement('span', _extends({
            className: cx('close')
            // eslint-disable-next-line react/jsx-no-bind
            , onClick: handleClickClose.bind(_this, b.id)
          }, getGaEvent(gaEventForClose))),
          _react2.default.createElement(
            'p',
            { className: cx('content') },
            b.name
          )
        ) : _react2.default.createElement(
          'div',
          { className: cx('empty') },
          idx > 1 ? _regulationMsg : _prerequisiteMsg
        )
      );
    }),
    _react2.default.createElement(
      'button',
      _extends({
        className: cx('cta', { 'is-enable': items.length > 1 }),
        onClick: handleClickCta
      }, getGaEvent(gaEventForStart)),
      btnText
    )
  );
}

Compare.defaultProps = {
  prerequisiteMsg: '',
  regulationMsg: '',
  btnText: '開始比較',
  isMobile: false,
  gaEventForClose: null,
  gaEventForStart: null
};

exports.default = Compare;

/***/ }),

/***/ 113:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"comparison":"_FTrnu","display":"_mluKY","block":"_vAUte","close":"_14r_2","content":"_s_uEe","empty":"_2w3Ow","cta":"_yl_wj","is-enable":"_1tUMo"};

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2016 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(this && this[arg] || arg);
			} else if (Array.isArray(arg)) {
				classes.push(classNames.apply(this, arg));
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(this && this[key] || key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {
		window.classNames = classNames;
	}
}());


/***/ }),

/***/ 355:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(112);


/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var gaDataset = function gaDataset(_ref) {
  var dataPrefix = _ref.dataPrefix,
      category = _ref.category,
      action = _ref.action,
      label = _ref.label;

  if (dataPrefix.length === 0 || !dataPrefix) {
    return null;
  }

  var gaRegExp = /^data-.*ga$/; // format restriction
  var eventsObj = dataPrefix.reduce(function (p, prefix) {
    var _p = p;

    if (gaRegExp.test(prefix)) {
      _p[prefix + "-category"] = category;
      _p[prefix + "-action"] = action;
      _p[prefix + "-label"] = label;
    }

    return _p;
  }, {});

  return eventsObj;
};

exports.default = gaDataset;

/***/ })

/******/ });
});